//----------------------------------------------------------------
//  Time-stamp:	<99/08/04 13:05 sutner> 
//				<00/09/17 12:33 mjs>
//
//	File:		graph-adj.h
//	Purpose:	Specify a directed, weighted graph via an Adjacency Matrix
//----------------------------------------------------------------

#ifndef  _GRAPH_H_
#define  _GRAPH_H_

#include  <iostream>
#include  <vector>
#include  "matrix.h"
using namespace std;


class Graph
{
	public:
		static const double NO_EDGE;	// class-constant to denote no edge present
		
		Graph();
		Graph(int n);

		void SetSize(int n);

		void AddEdge(int origin, int destination, double value);
		void RemoveEdge(int origin, int destination);

		bool HasEdge(int origin, int destination)  const;
		double EdgeValue(int origin, int destination)  const;

		int NumNodes()  const;
		int NumEdges()  const;

		friend ostream& operator<<(ostream &os, const Graph &g);


 	private:
		int myNumEdges;
		Matrix<double> myA;
};

#endif
