//----------------------------------------------------------------
//  Time-stamp: <99/08/04 13:05 sutner> 
//				<00/08/30 11:15 mjs>
//
//  File:      graph-driver.cc
//  Purpose:   driver for 113 Lab 1
//----------------------------------------------------------------

#include  <iostream>
#include  <fstream>
#include  "graph-adj.h"
using namespace std;


int  main(int argc, char* argv[])
{
	if (argc != 2)
	{
		cerr << "Usage: " << argv[0] << " <graph-file> " << endl;
		exit(0);
	}
	
	ifstream infile(argv[1]);	// bind input file to stream
	
	if (!infile)
	{
		cerr << "cannot open " << argv[1] <<  " for input" << endl;
		exit(1);
	}
	
	//Load a Graph
	Graph G;
	int numV, a, b, cost;
	infile >> numV;
	
	G.SetSize(numV);
	while(infile >> a >> b >> cost)
		G.AddEdge(a, b, cost);
	
	cout << "Graph has " << G.NumNodes() << " vertices ";
	cout << "and " << G.NumEdges() << " edges:" << endl << endl;
	
	cout << G << endl << endl;
	
	return 0;
}

